osl::eval::ml::PieceStand Class Reference

`#include <pieceStand.h>`

## Public Types

enum | { DIM = osl::Piece::SIZE }

## Public Member Functions

| PieceStand ()

## Static Public Member Functions

static void | setUp (const Weights &weights, int stage)
static MultiInt | eval (const NumEffectState &state)
template<Player P>
static MultiInt | evalWithUpdate (const NumEffectState &state, Move moved, MultiInt last_value)

## Static Private Attributes

static CArray< MultiInt, osl::Piece::SIZE > | table

## Detailed Description

Definition at line 19 of file eval/pieceStand.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 23 of file eval/pieceStand.h.

## Constructor & Destructor Documentation

## PieceStand()

osl::eval::ml::PieceStand::PieceStand | ( |  | ) |

inline

Definition at line 24 of file eval/pieceStand.h.

## Member Function Documentation

## eval()

osl::MultiInt osl::eval::ml::PieceStand::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 16 of file eval_pieceStand.cc.

References osl::BLACK, osl::SimpleState::countPiecesOnStand(), osl::PieceStand::order, osl::Ptype_Table, table, and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval().

## evalWithUpdate()

template<Player P>

MultiInt osl::eval::ml::PieceStand::evalWithUpdate | ( | const NumEffectState & | state,
|  | Move | moved,
|  | MultiInt | last_value )

inline static

Definition at line 28 of file eval/pieceStand.h.

References osl::BLACK, osl::captured(), osl::Move::capturePtype(), osl::SimpleState::countPiecesOnStand(), osl::Move::isDrop(), osl::Move::player(), osl::Move::ptype(), osl::PTYPE_EMPTY, osl::Ptype_Table, table, and osl::unpromote().

Referenced by osl::eval::ml::OpenMidEndingEval::updateSub().

## setUp()

void osl::eval::ml::PieceStand::setUp | ( | const Weights & | weights,
|  | int | stage )

static

Definition at line 7 of file eval_pieceStand.cc.

References osl::eval::ml::Weights::dimension(), table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< osl::MultiInt, osl::Piece::SIZE > osl::eval::ml::PieceStand::table

static private

Definition at line 21 of file eval/pieceStand.h.

Referenced by eval(), evalWithUpdate(), and setUp().

The documentation for this class was generated from the following files:

- eval/pieceStand.h
- eval_pieceStand.cc